Subject: bug#10237: AM_SILENT_RULES does not work with NonStop make

From: Roumen Petrov <[email-masked]>
Date: Wed, 07 Dec 2011 22:54:12 +0200

Eric Blake wrote:
> On 12/06/2011 08:20 PM, Daniel Richard G. wrote:
>    
>>> I wanted a solution that worked
>>> on any POSIX platform -- POSIX 2008 says that
>>> $(aaa${bbb}) is just as unspecified as
>>> $(aaa$(bbb)) is, and I wanted to play it safe.
>>>
>>>        
>> As I see it, the only real way to play it safe here, per POSIX, is to
>> forgo the use of nested variables altogether.
>>      
> Exactly.  Hence the proposal for a configure-time check, which expands
> to the extension where the extension was tested to work, and which
> expands to an innocuous variant that avoids nested variables where the
> test fails.
>    

I remember one old discussion from automake list that end with following 
solution
lib_LTLIBRARIES = @MODULE@.la
@MODULE@_la_SOURCES = module.c
@MODULE@_la_LDFLAGS = -module -avoid-version

Following current discussion I think that next will be automake to be 
able to process following Makefile.am

MODULE = @MODULE@
lib_LTLIBRARIES = $(MODULE).la
$(MODULE)_la_SOURCES = module.c
$(MODULE)_la_LDFLAGS = -module -avoid-version

I think that is too early to request such automake functionality .

Roumen